package com.dev.swms.server.model.shipping;

import java.util.Date;

import com.dev.energy.server.model.Entity;
import com.dev.swms.server.model.base.Structure;
import com.dev.swms.server.model.base.Warehouse;

public class Label extends Entity{
	
	
	/** 仓库 */
	private Warehouse warehouse;
	/** 货主 */
	private Structure company;
	private String code;
	private String LabelType;
	private String remark;
	/** 创建日期 */
	private Date createDate;
	/** 移位计划状态 */
	private String status;
	/** 数量 */
	private double quantity;
	private double damageQuantity;//破损数量、
	private double lackQuantity;//缺少数量
	
	

	public double getDamageQuantity() {
		return damageQuantity;
	}
	public void setDamageQuantity(double damageQuantity) {
		this.damageQuantity = damageQuantity;
	}
	public double getLackQuantity() {
		return lackQuantity;
	}
	public void setLackQuantity(double lackQuantity) {
		this.lackQuantity = lackQuantity;
	}

	private String fileUrl;//记录文件存放目录的html代码
	private String fileName; //附件名称
	private String imageType;//影像类型
	private Date fileDate;
	private String objectType;//对象类型
	

	
	public String getFileUrl() {
		return fileUrl;
	}
	public void setFileUrl(String fileUrl) {
		this.fileUrl = fileUrl;
	}
	public String getFileName() {
		return fileName;
	}
	public void setFileName(String fileName) {
		this.fileName = fileName;
	}
	public String getImageType() {
		return imageType;
	}
	public void setImageType(String imageType) {
		this.imageType = imageType;
	}
	public Date getFileDate() {
		return fileDate;
	}
	public void setFileDate(Date fileDate) {
		this.fileDate = fileDate;
	}
	public String getObjectType() {
		return objectType;
	}
	public void setObjectType(String objectType) {
		this.objectType = objectType;
	}
	public Date getCreateDate() {
		return createDate;
	}
	public void setCreateDate(Date createDate) {
		this.createDate = createDate;
	}
	public String getStatus() {
		return status;
	}
	public void setStatus(String status) {
		this.status = status;
	}
	public double getQuantity() {
		return quantity;
	}
	public void setQuantity(double quantity) {
		this.quantity = quantity;
	}
	public Warehouse getWarehouse() {
		return warehouse;
	}
	public void setWarehouse(Warehouse warehouse) {
		this.warehouse = warehouse;
	}
	public Structure getCompany() {
		return company;
	}
	public void setCompany(Structure company) {
		this.company = company;
	}
	public String getCode() {
		return code;
	}
	public void setCode(String code) {
		this.code = code;
	}
	public String getLabelType() {
		return LabelType;
	}
	public void setLabelType(String labelType) {
		LabelType = labelType;
	}
	public String getRemark() {
		return remark;
	}
	public void setRemark(String remark) {
		this.remark = remark;
	}
	
	/**
	 *
	 *@date: 2008-6-11 下午03:40:42
	 *@description: 处理图片FileUrl 参数,传入图片路径
	 *
	 */
	public void processFileUrl(String imageTarget){
		String fileUrl = "<img src=\"*.asnImageServlet?imageSourcePath=" + imageTarget + "\" ";
		if(imageTarget.indexOf(".PDF")>0||imageTarget.indexOf(".pdf")>0){
			fileUrl ="<a class=\"media\" href=\"*.asnImageServlet?imageSourcePath=" + imageTarget + "\" "; 
		}
		fileUrl = fileUrl + " title=" + this.fileName + " />";
		this.fileUrl = fileUrl;
	}
	
}
